API Doc
Languages
Languages
  • English
  • 简体中文
Languages
Languages
  • English
  • 简体中文
  1. 7. Web payment
  • API Signature Process
  • API General Code
  • 1. Callback
    • Merchant Subscription Event Notification - Signature Process
  • 2. Account
    • 2.1 Check Account Balance
      GET
    • 2.2 Payment Statement
      POST
    • 2.3 Payout Statement
      POST
  • 3. Payout
    • Payout Product Flow Chart
    • Open API Channel List
    • 3.1 Create Payout
      POST
    • 3.3 Payout Callback Notification
      POST
    • 3.2 Check Payout Status
      GET
  • 4. Bills Payment
    • Bills Payment Product Flow Chart
    • Bills Payment ChannelCode List
    • 4.1 Create Static Virtual Account
      POST
    • 4.2 Batch Create Static Virtual Account
      POST
    • 4.3 Update Static Virtual Account
      POST
    • 4.4 Get Virtual Account Cashier Short Url
      POST
    • 4.5 Get Virtual Account's Payments
      GET
    • 4.6 Repayment verification API
      POST
    • 4.7 Cancel Static Virtual Account
      POST
    • 4.8 Virtual Account Callback Notification
      POST
  • 5. QrCode
    • QrCode Product Flow Chart
    • QrCode ChannelCode List
    • 5.1 Create QR Code
    • 5.2 Get QR Code Detail
    • 5.3 Get QR Code Payments
    • 5.4 Cancel QR Code
    • 5.6 Update QR Code
    • 5.5 QR Code Callback Notification
  • 6. Bank Transfer
    • Bank Transfer Product Flow Chart
    • Bank Transfer ChannelCode List
    • 6.1 Batch Create Bank Transfer Account
    • 6.2 Batch Update Bank Transfer Account
    • 6.3 Bank Transfer Account Payments
    • 6.4 Bank Transfer Callback Notification
  • 7. Web payment
    • Web Payment Product Flow Chart
    • Web Payment ChannelCode List
    • 7.1 Create Web Payment
      POST
    • 7.2 Check Web Payment Status
      GET
    • 7.3 Web Payment Channels
      GET
    • 7.4 Web Payment Callback Notification
      POST
  • 8. Refund
    • Refund Support Channel List
    • 8.1 Create Refund
    • 8.2 Get Refund Payments
    • 8.3 Refund Callback Notification
  • 9. Checkout
    • 9.1 Query the channels supported by the cashier counter
    • 9.2 Create the checkout counter
    • 9.3 Check the cashier counter
    • 9.4 Close the cashier counter
    • 9.5 Checkout Payment Notification
  • 10. Direct Debit
    • Direct Debit Channel Code List
    • Authorization
      • 10.1 Create Authorization Link
      • 10.2 Check Authorization Status
      • 10.3 Cancel Authorization
      • 10.4 Authorization Notification
    • Orders
      • 10.5 Create Payment
      • 10.6 Check Payment Status
      • 10.7 Payment Notification
  • 11. Ekyc
    • Ekyc Channel Code List
    • 11.1 Ekyc Init
    • 11.2 Ekyc Check Result
    • 11.3 Ekyc Notification
  • Schemas
    • Response body
  1. 7. Web payment

7.2 Check Web Payment Status

GET
/api/v1/payment/{transactionId}

Request

Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/payment/CCP20220428011068111?appId=undefined&transactionId=C1175676368800878371&sign=45eebd745dcf0b5f6d6f9fcde28cd9fe8116a892'

Responses

🟢200SUCCESS
application/json
Bodyapplication/json

Example
{
    "code": 1000,
    "message": "success",
    "data": {
        "mchOrderId": "TEST123451234500004",
        "transactionId": "C1007669370860774953",
        "amount": 5000,
        "transactionStatus": "PENDING",
        "createTime": "2022-11-25 18:07:41",
        "returnTime": "2022-12-15 11:52:35",
        "appName": "PayCools",
        "customerName": null,
        "channelCode": "GCASH_URL",
        "email": "",
        "mobile": "",
        "remark": null,
        "callbackUrl": "",
        "cardNo": "575178126622",
        "cardScheme": "Visa",
        "cardIssuer": "visa"
    }
}
Previous
7.1 Create Web Payment
Next
7.3 Web Payment Channels
Built with